System 2.0.0.0 4.0.0.0 System.Enum

This enumeration specifies valid values for the property.

Specifies the algorithm used for generating message authentication codes (MACs).

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Authentication.HashAlgorithmType

  The Message Digest 5 (MD5) hashing algorithm.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Authentication.HashAlgorithmType

  No hashing algorithm is used.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Authentication.HashAlgorithmType

  The Secure Hashing Algorithm (SHA1).